package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanDict;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DictMapper {
    int deleteByPrimaryKey(String dictId);

    int insert(TabHaobanDict record);

    int insertSelective(TabHaobanDict record);

    TabHaobanDict selectByPrimaryKey(String dictId);

    int updateByPrimaryKeySelective(TabHaobanDict record);

    int updateByPrimaryKey(TabHaobanDict record);
    
    Page<TabHaobanDict> pageList();

    List<TabHaobanDict> queryList(@Param("keys") List<String> keys);

    TabHaobanDict selectByDictKey(String dictKey);
    
    TabHaobanDict selectByDictName(String dictKey);
}